Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::CallStack::Method Struct Reference

Represents a method in the CallStack. More...

`#include <CallStack.h>`

List of all members.

## Public Member Functions

| Method ()
| Method (const std::string &n, const std::string &f, int l)
Method & | operator= (const Method &rhs)

## Public Attributes

std::string | name
std::string | file
int | line

## Friends

bool | operator== (const Method &lhs, const Method &rhs)
std::ostream & | operator<< (std::ostream &, const Method &)

## Detailed Description

Represents a method in the CallStack.

Definition at line 43 of file CallStack.h.

## Constructor & Destructor Documentation

FIX::CallStack::Method::Method | ( |  | ) | `[inline]`

Definition at line 45 of file CallStack.h.

    00045 {}

FIX::CallStack::Method::Method | ( | const std::string & | n,
|  | const std::string & | f,
|  | int | l |
| ) |  |  | `[inline]`

Definition at line 46 of file CallStack.h.

    00047     : name(n), file(f), line(l) {}

## Member Function Documentation

Method& FIX::CallStack::Method::operator= | ( | const Method & | rhs | ) | `[inline]`

Definition at line 53 of file CallStack.h.

References file, line, and name.

    00054     {
    00055       name = rhs.name;
    00056       file = rhs.file;
    00057       line = rhs.line;
    00058       return *this;
    00059     }

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const Method & |  |
| ) |  |  | `[friend]`

bool operator== | ( | const Method & | lhs,
|  | const Method & | rhs |
| ) |  |  | `[friend]`

## Member Data Documentation

std::string FIX::CallStack::Method::file

Definition at line 50 of file CallStack.h.

Referenced by operator=(), and FIX::operator==().

int FIX::CallStack::Method::line

Definition at line 51 of file CallStack.h.

Referenced by operator=(), and FIX::operator==().

std::string FIX::CallStack::Method::name

Definition at line 49 of file CallStack.h.

Referenced by operator=(), and FIX::operator==().

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/CallStack.h